- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# video.c File Reference

`#include <sys/io.h>`
`#include <sys/video.h>`
`#include <ubixos/types.h>`
`#include <ubixos/spinlock.h>`
`#include <ubixos/tty.h>`

Include dependency graph for video.c:

Go to the source code of this file.

## Functions
void | backSpace ()
void | clearScreen ()
void | kprint (char *string)
## Variables
int | printColor = defaultColor
static unsigned char * | videoBuffer = (char *)0xB8000

## Function Documentation

void backSpace | ( |  | ) |

Definition at line 40 of file video.c.

References inportByte(), outportByte(), printColor, tty_foreground, tty_termNode::tty_x, tty_termNode::tty_y, and videoBuffer.

Referenced by keyboardHandler().

Here is the call graph for this function:

void clearScreen | ( |  | ) |

Definition at line 115 of file video.c.

References defaultColor, outportByte(), videoBuffer, and x20.

Referenced by kmain().

Here is the call graph for this function:

void kprint | ( | char * | string | ) |

Definition at line 62 of file video.c.

References inportByte(), NULL, outportByte(), printColor, tty_find(), tty_foreground, tty_print(), videoBuffer, and x20.

Referenced by fdcRw(), kmain(), and kprintf().

Here is the call graph for this function:

## Variable Documentation

int printColor = defaultColor

Definition at line 37 of file video.c.

Referenced by backSpace(), and kprint().

unsigned char* videoBuffer = (char *)0xB8000`[static]`

Definition at line 36 of file video.c.